<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.impl.cookie.testParseBlankPort');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:25:52 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestCookieRFC2965Spec.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestCookieRFC2965Spec_testParseBlankPort_2xf.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/cookie/TestCookieRFC2965Spec.html?line=223#src-223" >testParseBlankPort</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 10:19:35
    </td>
    <td class="graphPercent alignTop">
        0.0    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testParseBlankPort</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.cookie.CookieOrigin</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/cookie/CookieOrigin.html?id=3795#CookieOrigin"             title="CookieOrigin" name="sl-40">org.apache.http.cookie.CookieOrigin</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4680851</span>
            46.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="53.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="46.8% Covered" class="barPositive contribBarPositive" style="width: 46.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.AbstractCookieSpec</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/AbstractCookieSpec.html?id=3795#AbstractCookieSpec"             title="AbstractCookieSpec" name="sl-48">org.apache.http.impl.cookie.AbstractCookieSpec</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.45833334</span>
            45.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="45.8% Covered" class="barPositive contribBarPositive" style="width: 45.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2965Spec</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2965Spec.html?id=3795#RFC2965Spec"             title="RFC2965Spec" name="sl-56">org.apache.http.impl.cookie.RFC2965Spec</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4452555</span>
            44.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="55.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="44.5% Covered" class="barPositive contribBarPositive" style="width: 44.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2965VersionAttributeHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2965VersionAttributeHandler.html?id=3795#RFC2965VersionAttributeHandler"             title="RFC2965VersionAttributeHandler" name="sl-47">org.apache.http.impl.cookie.RFC2965VersionAttributeHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.38235295</span>
            38.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="61.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="38.2% Covered" class="barPositive contribBarPositive" style="width: 38.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicClientCookie2</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicClientCookie2.html?id=3795#BasicClientCookie2"             title="BasicClientCookie2" name="sl-43">org.apache.http.impl.cookie.BasicClientCookie2</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26086956</span>
            26.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.1% Covered" class="barPositive contribBarPositive" style="width: 26.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicCommentHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicCommentHandler.html?id=3795#BasicCommentHandler"             title="BasicCommentHandler" name="sl-39">org.apache.http.impl.cookie.BasicCommentHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25</span>
            25%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25% Covered" class="barPositive contribBarPositive" style="width: 25%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicExpiresHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicExpiresHandler.html?id=3795#BasicExpiresHandler"             title="BasicExpiresHandler" name="sl-40">org.apache.http.impl.cookie.BasicExpiresHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22222222</span>
            22.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.2% Covered" class="barPositive contribBarPositive" style="width: 22.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicClientCookie</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicClientCookie.html?id=3795#BasicClientCookie"             title="BasicClientCookie" name="sl-47">org.apache.http.impl.cookie.BasicClientCookie</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.22093023</span>
            22.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="77.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="22.1% Covered" class="barPositive contribBarPositive" style="width: 22.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.CookieSpecBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/CookieSpecBase.html?id=3795#CookieSpecBase"             title="CookieSpecBase" name="sl-50">org.apache.http.impl.cookie.CookieSpecBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18181819</span>
            18.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.2% Covered" class="barPositive contribBarPositive" style="width: 18.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2965CommentUrlAttributeHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2965CommentUrlAttributeHandler.html?id=3795#RFC2965CommentUrlAttributeHandler"             title="RFC2965CommentUrlAttributeHandler" name="sl-45">org.apache.http.impl.cookie.RFC2965CommentUrlAttributeHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18181819</span>
            18.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.2% Covered" class="barPositive contribBarPositive" style="width: 18.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2965DiscardAttributeHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2965DiscardAttributeHandler.html?id=3795#RFC2965DiscardAttributeHandler"             title="RFC2965DiscardAttributeHandler" name="sl-45">org.apache.http.impl.cookie.RFC2965DiscardAttributeHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18181819</span>
            18.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.2% Covered" class="barPositive contribBarPositive" style="width: 18.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2965PortAttributeHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2965PortAttributeHandler.html?id=3795#RFC2965PortAttributeHandler"             title="RFC2965PortAttributeHandler" name="sl-49">org.apache.http.impl.cookie.RFC2965PortAttributeHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.12195122</span>
            12.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="87.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="12.2% Covered" class="barPositive contribBarPositive" style="width: 12.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicSecureHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicSecureHandler.html?id=3795#BasicSecureHandler"             title="BasicSecureHandler" name="sl-41">org.apache.http.impl.cookie.BasicSecureHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.11111111</span>
            11.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.1% Covered" class="barPositive contribBarPositive" style="width: 11.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicMaxAgeHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicMaxAgeHandler.html?id=3795#BasicMaxAgeHandler"             title="BasicMaxAgeHandler" name="sl-41">org.apache.http.impl.cookie.BasicMaxAgeHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1</span>
            10%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="90% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="10% Covered" class="barPositive contribBarPositive" style="width: 10%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2109Spec</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2109Spec.html?id=3795#RFC2109Spec"             title="RFC2109Spec" name="sl-59">org.apache.http.impl.cookie.RFC2109Spec</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.09701493</span>
            9.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="90.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="9.7% Covered" class="barPositive contribBarPositive" style="width: 9.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2109VersionHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2109VersionHandler.html?id=3795#RFC2109VersionHandler"             title="RFC2109VersionHandler" name="sl-42">org.apache.http.impl.cookie.RFC2109VersionHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.074074075</span>
            7.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="92.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="7.4% Covered" class="barPositive contribBarPositive" style="width: 7.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.BasicPathHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/BasicPathHandler.html?id=3795#BasicPathHandler"             title="BasicPathHandler" name="sl-43">org.apache.http.impl.cookie.BasicPathHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.044444446</span>
            4.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="95.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4.4% Covered" class="barPositive contribBarPositive" style="width: 4.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2109DomainHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2109DomainHandler.html?id=3795#RFC2109DomainHandler"             title="RFC2109DomainHandler" name="sl-45">org.apache.http.impl.cookie.RFC2109DomainHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.027027028</span>
            2.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="97.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="2.7% Covered" class="barPositive contribBarPositive" style="width: 2.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.cookie.RFC2965DomainAttributeHandler</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/cookie/RFC2965DomainAttributeHandler.html?id=3795#RFC2965DomainAttributeHandler"             title="RFC2965DomainAttributeHandler" name="sl-49">org.apache.http.impl.cookie.RFC2965DomainAttributeHandler</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.024691358</span>
            2.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="97.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="2.5% Covered" class="barPositive contribBarPositive" style="width: 2.5%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:26:28 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
